LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Games
User Name
Password
Linux - Games This forum is for all discussion relating to gaming in Linux.

Notices



Reply
 
Search this Thread
Old 12-10-2011, 02:38 AM   #1
frieza
Senior Member
 
Registered: Feb 2002
Location: harvard, il
Distribution: Ubuntu 11.4,DD-WRT micro plus ssh,lfs-6.6,Fedora 15,Fedora 16
Posts: 3,111

Rep: Reputation: 371Reputation: 371Reputation: 371Reputation: 371
fakenes not installing on fc16


i had fakenes installed on fedora 15 and running just fine, but after upgrading to 16, i had to remove fakenes because of issues with i believe allegro library, now it won't install
Code:
[hopper@cafemewmew ~]$ sudo yum install fakenes
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package fakenes.x86_64 0:0.5.9-0.1.beta3.fc12 will be installed
--> Processing Dependency: libagl.so.0()(64bit) for package: fakenes-0.5.9-0.1.beta3.fc12.x86_64
--> Processing Dependency: liballeg.so.4.2()(64bit) for package: fakenes-0.5.9-0.1.beta3.fc12.x86_64
--> Finished Dependency Resolution
Error: Package: fakenes-0.5.9-0.1.beta3.fc12.x86_64 (rpmfusion-free)
           Requires: liballeg.so.4.2()(64bit)
Error: Package: fakenes-0.5.9-0.1.beta3.fc12.x86_64 (rpmfusion-free)
           Requires: libagl.so.0()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
any ideas?
 
Old 12-10-2011, 11:02 AM   #2
amani
Senior Member
 
Registered: Jul 2006
Location: Kolkata, India
Distribution: 64-bit GNU/Linux, Kubuntu64, Fedora QA, Slackware,
Posts: 2,758

Rep: Reputation: Disabled
did you install the allegro devel packages?

else, inform the rpmfusion maintainers.
 
Old 12-10-2011, 03:57 PM   #3
John VV
Guru
 
Registered: Aug 2005
Posts: 13,531

Rep: Reputation: 1807Reputation: 1807Reputation: 1807Reputation: 1807Reputation: 1807Reputation: 1807Reputation: 1807Reputation: 1807Reputation: 1807Reputation: 1807Reputation: 1807
seeing as that rpm is a very old and very dead fedora 12 rpm

a 12 rpm will not run on 16 ( a few fonts and things might )

if there is a reason for NEEDING a old version of something then build it from source
http://sourceforge.net/projects/fakenes/files/
beta3 is from 2008
gcc 4.6 will NOT build it , you will need gcc 4.1 installed
or
DO NOT use a bleeding edge OS like fedora
use something like CentOS 5.7 or 6.1
 
Old 12-11-2011, 12:55 AM   #4
frieza
Senior Member
 
Registered: Feb 2002
Location: harvard, il
Distribution: Ubuntu 11.4,DD-WRT micro plus ssh,lfs-6.6,Fedora 15,Fedora 16
Posts: 3,111

Original Poster
Rep: Reputation: 371Reputation: 371Reputation: 371Reputation: 371
http://rpmfind.net/linux/rpm2html/se...?query=fakenes
the apparantly it's been .fc12 for fc 12,13,14,15 and now 16, odd
also filed a bug report with rpmfusion as suggested by amani
Quote:
Thanks for the bugreport! This has already been reported in bug 1969, but I did
not get around to fixing it so far. Your bug report has prodded me into action
though, so a fixed package is building now and should show up in rpmfusion
updates-testing soon I hope.

Regards,
Quote:
--- Comment #4 from Hans de Goede <j.w.r.degoede@gmail.com> 2011-12-10 20:56:28 CET ---
I've finally gotten around to fixing this, sorry for taking so long. A fixed
version is building now. Since the old version won't install on F-16 at all, I
would appreciate it if you could push this version directly to the stable
updates repo.

Thanks,

Hans
guess i just have to wait now for this to make it to the stable repo, which hopefully won't be long.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] FC14 to FC16 disaster tethysgods Linux - Newbie 11 12-07-2011 02:50 PM
problems building fakenes from source frieza Linux - Software 2 08-28-2010 05:02 PM
Installing the nvidia driver off the web site and installing rpm in ubuntu? darkhatter Ubuntu 3 02-19-2006 03:44 PM
Compiling Fakenes Kilahchris Linux - Software 3 06-28-2005 12:59 AM
FakeNES won't install GT_Onizuka Linux - Software 5 10-18-2003 01:48 PM


All times are GMT -5. The time now is 11:02 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration